"use strict";
this.name           = "SC shipscript events";
this.author         = "Lone_Wolf";
this.copyright      = "(C) 2011-2012 , 2014-2015 Lone_Wolf.";
this.licence        = "CC-by-SA 4.0";
this.description    = "SC shipscript events handler";
this.version        = "1.12";


this.startUp = function()
  {
    if ( worldScripts["Shield Cycler"].startUp ) { worldScripts["Shield Cycler"].startUp(); };
  };

this.shipLaunchedFromStation = function(station)
  {
    if ( worldScripts["Shield Cycler"]._sc_settings.general.disabled ) { return; };
    if ( worldScripts["Shield Cycler"]._sc_settings.general.sc_disabled ) { return; };
    // check if player has a Shield Cycler
    if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.none ) { return; };
    worldScripts["Shield Cycler"]._sc_settings.sc.current_configuration = worldScripts["Shield Cycler"]._sc_settings.sc.start_configuration;
    worldScripts["SC Core"]._sc_sc_adjust(true);
  };

this.shipTakingDamage = function(amount, fromEntity, damageType)  
  {   
    if ( worldScripts["Shield Cycler"]._sc_settings.general.disabled ) { return; };
    if ( worldScripts["Shield Cycler"]._sc_settings.general.sc_disabled ) { return; };
    if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.none ) { return; };
    worldScripts["SC Core"]._sc_sc_adjust(false);
  };

this.shipLaunchedEscapePod = function(escapepod, passengers)
  {
    // reset devices / vars when pilot ejects
    if ( worldScripts["Shield Cycler"]._sc_settings.sc.version == worldScripts["Shield Cycler"]._sc_const.none ) { return; };
    if ( worldScripts["Shield Cycler"]._sc_settings.sc.manual_version != worldScripts["Shield Cycler"]._sc_const.none ) 
      { 
	worldScripts["Shield Cycler"]._sc_change_configuration(3, true);
	player.ship.removeEquipment("EQ_SC_MANUAL_CONFIGURATOR_INTERNAL");
	worldScripts["Shield Cycler"]._sc_settings.sc.manual_version  = worldScripts["Shield Cycler"]._sc_const.none;
	worldScripts["Shield Cycler"]._sc_settings.sc.cycler_mask  = 0x00f;
      };
    worldScripts["Shield Cycler"]._sc_change_configuration(2, true);
    worldScripts["Shield Cycler"]._sc_change_configuration(1, true);
    player.ship.removeEquipment("EQ_SC_SHIELD_CYCLER_INTERNAL");
    worldScripts["Shield Cycler"]._sc_settings.sc.version  = worldScripts["Shield Cycler"]._sc_const.none;
    worldScripts["Shield Cycler"]._sc_settings.sc.start_configuration = worldScripts["Shield Cycler"]._sc_const.both;
    worldScripts["Shield Cycler"]._sc_settings.sc.threshold = 100;
    worldScripts["Shield Cycler"]._sc_settings.sc.functional = 100;
    worldScripts["Shield Cycler"]._sc_update_oxpconfig_vars();
  };
